org.apache.cassandra.thrift

## Class KsDef

- java.lang.Object
- - org.apache.cassandra.thrift.KsDef

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<KsDef>, org.apache.thrift.TBase<KsDef,KsDef._Fields>

    public class KsDef
    extends java.lang.Object
    implements org.apache.thrift.TBase<KsDef,KsDef._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<KsDef>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `KsDef._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`java.util.List<CfDef>` `cf_defs`
`boolean` `durable_writes`
`static java.util.Map<KsDef._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`java.lang.String` `name`
`int` `replication_factor` Deprecated. ignored
`java.lang.String` `strategy_class`
`java.util.Map<java.lang.String,java.lang.String>` `strategy_options`

### Constructor Summary

Constructors
Constructor and Description
`KsDef()`
`KsDef(KsDef other)` Performs a deep copy on other.
`KsDef(java.lang.String name, java.lang.String strategy_class, java.util.List<CfDef> cf_defs)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addToCf_defs(CfDef elem)`
`void` `clear()`
`int` `compareTo(KsDef other)`
`KsDef` `deepCopy()`
`boolean` `equals(KsDef that)`
`boolean` `equals(java.lang.Object that)`
`KsDef._Fields` `fieldForId(int fieldId)`
`java.util.List<CfDef>` `getCf_defs()`
`java.util.Iterator<CfDef>` `getCf_defsIterator()`
`int` `getCf_defsSize()`
`java.lang.Object` `getFieldValue(KsDef._Fields field)`
`java.lang.String` `getName()`
`int` `getReplication_factor()` Deprecated. ignored
`java.lang.String` `getStrategy_class()`
`java.util.Map<java.lang.String,java.lang.String>` `getStrategy_options()`
`int` `getStrategy_optionsSize()`
`int` `hashCode()`
`boolean` `isDurable_writes()`
`boolean` `isSet(KsDef._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCf_defs()` Returns true if field cf_defs is set (has been assigned a value) and false otherwise
`boolean` `isSetDurable_writes()` Returns true if field durable_writes is set (has been assigned a value) and false otherwise
`boolean` `isSetName()` Returns true if field name is set (has been assigned a value) and false otherwise
`boolean` `isSetReplication_factor()` Returns true if field replication_factor is set (has been assigned a value) and false otherwise
`boolean` `isSetStrategy_class()` Returns true if field strategy_class is set (has been assigned a value) and false otherwise
`boolean` `isSetStrategy_options()` Returns true if field strategy_options is set (has been assigned a value) and false otherwise
`void` `putToStrategy_options(java.lang.String key, java.lang.String val)`
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`KsDef` `setCf_defs(java.util.List<CfDef> cf_defs)`
`void` `setCf_defsIsSet(boolean value)`
`KsDef` `setDurable_writes(boolean durable_writes)`
`void` `setDurable_writesIsSet(boolean value)`
`void` `setFieldValue(KsDef._Fields field, java.lang.Object value)`
`KsDef` `setName(java.lang.String name)`
`void` `setNameIsSet(boolean value)`
`KsDef` `setReplication_factor(int replication_factor)` Deprecated. ignored
`void` `setReplication_factorIsSet(boolean value)`
`KsDef` `setStrategy_class(java.lang.String strategy_class)`
`void` `setStrategy_classIsSet(boolean value)`
`KsDef` `setStrategy_options(java.util.Map<java.lang.String,java.lang.String> strategy_options)`
`void` `setStrategy_optionsIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetCf_defs()`
`void` `unsetDurable_writes()`
`void` `unsetName()`
`void` `unsetReplication_factor()`
`void` `unsetStrategy_class()`
`void` `unsetStrategy_options()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

#### strategy_class

    public java.lang.String strategy_class

#### strategy_options

    public java.util.Map<java.lang.String,java.lang.String> strategy_options

#### replication_factor

    public int replication_factor

Deprecated. ignored

#### cf_defs

    public java.util.List<CfDef> cf_defs

#### durable_writes

    public boolean durable_writes

#### metaDataMap

    public static final java.util.Map<KsDef._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### KsDef

    public KsDef()

#### KsDef

    public KsDef(java.lang.String name,
                 java.lang.String strategy_class,
                 java.util.List<CfDef> cf_defs)

#### KsDef

    public KsDef(KsDef other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public KsDef deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<KsDef,KsDef._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<KsDef,KsDef._Fields>`

#### getName

    public java.lang.String getName()

#### setName

    public KsDef setName(java.lang.String name)

#### unsetName

    public void unsetName()

#### isSetName

    public boolean isSetName()

Returns true if field name is set (has been assigned a value) and false otherwise

#### setNameIsSet

    public void setNameIsSet(boolean value)

#### getStrategy_class

    public java.lang.String getStrategy_class()

#### setStrategy_class

    public KsDef setStrategy_class(java.lang.String strategy_class)

#### unsetStrategy_class

    public void unsetStrategy_class()

#### isSetStrategy_class

    public boolean isSetStrategy_class()

Returns true if field strategy_class is set (has been assigned a value) and false otherwise

#### setStrategy_classIsSet

    public void setStrategy_classIsSet(boolean value)

#### getStrategy_optionsSize

    public int getStrategy_optionsSize()

#### putToStrategy_options

    public void putToStrategy_options(java.lang.String key,
                                      java.lang.String val)

#### getStrategy_options

    public java.util.Map<java.lang.String,java.lang.String> getStrategy_options()

#### setStrategy_options

    public KsDef setStrategy_options(java.util.Map<java.lang.String,java.lang.String> strategy_options)

#### unsetStrategy_options

    public void unsetStrategy_options()

#### isSetStrategy_options

    public boolean isSetStrategy_options()

Returns true if field strategy_options is set (has been assigned a value) and false otherwise

#### setStrategy_optionsIsSet

    public void setStrategy_optionsIsSet(boolean value)

#### getReplication_factor

    public int getReplication_factor()

Deprecated. ignored

#### setReplication_factor

    public KsDef setReplication_factor(int replication_factor)

Deprecated. ignored

#### unsetReplication_factor

    public void unsetReplication_factor()

#### isSetReplication_factor

    public boolean isSetReplication_factor()

Returns true if field replication_factor is set (has been assigned a value) and false otherwise

#### setReplication_factorIsSet

    public void setReplication_factorIsSet(boolean value)

#### getCf_defsSize

    public int getCf_defsSize()

#### getCf_defsIterator

    public java.util.Iterator<CfDef> getCf_defsIterator()

#### addToCf_defs

    public void addToCf_defs(CfDef elem)

#### getCf_defs

    public java.util.List<CfDef> getCf_defs()

#### setCf_defs

    public KsDef setCf_defs(java.util.List<CfDef> cf_defs)

#### unsetCf_defs

    public void unsetCf_defs()

#### isSetCf_defs

    public boolean isSetCf_defs()

Returns true if field cf_defs is set (has been assigned a value) and false otherwise

#### setCf_defsIsSet

    public void setCf_defsIsSet(boolean value)

#### isDurable_writes

    public boolean isDurable_writes()

#### setDurable_writes

    public KsDef setDurable_writes(boolean durable_writes)

#### unsetDurable_writes

    public void unsetDurable_writes()

#### isSetDurable_writes

    public boolean isSetDurable_writes()

Returns true if field durable_writes is set (has been assigned a value) and false otherwise

#### setDurable_writesIsSet

    public void setDurable_writesIsSet(boolean value)

#### setFieldValue

    public void setFieldValue(KsDef._Fields field,
                              java.lang.Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<KsDef,KsDef._Fields>`

#### getFieldValue

    public java.lang.Object getFieldValue(KsDef._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<KsDef,KsDef._Fields>`

#### isSet

    public boolean isSet(KsDef._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<KsDef,KsDef._Fields>`

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### equals

    public boolean equals(KsDef that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(KsDef other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<KsDef>`

#### fieldForId

    public KsDef._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<KsDef,KsDef._Fields>`

#### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TBase<KsDef,KsDef._Fields>`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TBase<KsDef,KsDef._Fields>`
Throws:
  `org.apache.thrift.TException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`